const _ = require("lodash");
const MiniCssExtractPlugin = require("mini-css-extract-plugin");
const miniCssLoaders = function(loaders, isDev) {
  loaders = _.isArray(loaders) ? loaders : [loaders];
  loaders.unshift(MiniCssExtractPlugin.loader);
  if (isDev) {
    loaders.unshift("css-hot-loader");
    loaders.unshift("vue-style-loader");
  }
  return loaders;
};
module.exports = miniCssLoaders;
