#!/usr/bin/env node
'use strict';
const program = require('commander');
const pkg = require('../package.json');
program
    .version(pkg.version)
    .command('dev', 'dev server', {isDefault: true})
    .command('build', 'build project')
    .command('mock', 'mock server')
    .command('test', 'test project')
    .command('doc', 'doc project')

program.parse(process.argv);
