module.exports = function (ksr) {
  const assetsOutPath = ksr.assetsOutPath;
  const assetsName = ksr.assetsName;
  const assetsPublicPath = ksr.assetsPublicPath;
  return [{
    loader: 'url-loader',
    options: {
      limit: 8192,
      name: assetsName,
      outputPath: assetsOutPath,
      publicPath: `${assetsPublicPath}${assetsOutPath}`
    }
  }]
}