module.exports = {
  cacheDirectory: true,
  presets: [
    [
      require.resolve("babel-preset-env"),
      {
        // tree shaking 必须禁止es6模块转换 ,毕竟依赖静态解析
        modules: false,
        loose: true
      }
    ],
    require.resolve("babel-preset-stage-0")
  ],
  plugins: [
    require.resolve("babel-plugin-lodash"),
    require.resolve("babel-plugin-transform-runtime"),
    // require.resolve('babel-plugin-transform-vue-jsx'),
    require.resolve("babel-plugin-transform-decorators-legacy"),
    require.resolve("babel-plugin-transform-es2015-destructuring"),
    require.resolve("babel-plugin-transform-es2015-spread"),
    require.resolve("babel-plugin-transform-object-rest-spread")
  ]
};
